/* You can add global styles to this file, and also import other style files */

html, body {
	height: 100%;
}

body {
	margin: 0;
	font-family: Roboto, "Helvetica Neue", sans-serif;
	--input-color: #2ABB9C;
	--text-alt-color:  white;
	--text-main-color: black;
	--button-background-color: #2ABB9C;
	--info-color: #2ABB9C;
	--warning-color: #ffae42;
	--error-color :red;
}

.readOnly {
	color: var(--input-disabled-text-color)
}

.height100{
	height: 100%;
}


.icon-button {
	cursor: pointer;
}

.margin20 {
	margin: 20px;
}

.padding20 {
	padding: 20px;
}

.margin10 {
	margin: 10px;
}

.padding10 {
	padding: 10px;
}

.margin5 {
	margin: 5px;
}

.padding5 {
	padding: 5px;
}

.custom-button {
	width: fit-content;
	color: var(--text-alt-color);
	text-decoration: none;
	background-color: var(--button-background-color);
	padding:10px;
	border-radius: 8px;
	outline: none;
	cursor: pointer;
	border:none;
	display: inline-block;
}

.custom-button:hover {
	box-shadow: 0 3px 6px black;
}

.hintColor {
	color: var(--input-color) !important;
}

.mat-hint {
	color: var(--input-color) !important;
}

.mat-progress-spinner circle, .mat-spinner circle {
	stroke: var(--spinner-color);
}

.confirm-dialog.mat-dialog-container {
	background-color: var(--confirm-dialog-background-color);
}

.message-box {
	max-width: 100% !important;
	padding: 10px !important;
}

.info {
	background-color: var(--info-color) !important;
	color: var(--text-alt-color) !important;
}

.warn {
	background-color: var(--warning-color) !important;
	color: var(--text-main-color) !important;
}

.error {
	background-color: var(--error-color) !important;
	color: var(--text-main-color) !important;
}